Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi.server
Class UnicastRemoteObject

    java.lang.Object
      weblogic.rmi.server.RemoteObject
          weblogic.rmi.server.RemoteServer
              weblogic.rmi.server.UnicastRemoteObject

All Implemented Interfaces:
  Cloneable, Remote

    public class UnicastRemoteObject

extends RemoteServer
implements Cloneable

This class is provided strictly for compatibility with `java.rmi.*` package.

Constructor Summary
`protected` | `UnicastRemoteObject()`

Method Summary
`Object` | `clone()` Returns a clone of the remote object that is distinct from the original.
`static Remote` | `exportObject(Remote obj)` Exports a remote object so it is available to receive incoming calls using a server port.
`static boolean` | `unexportObject(Object obj, boolean force)` Removes a remote object from the RMI runtime.

Methods inherited from class weblogic.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class weblogic.rmi.server.RemoteObject
`toStub`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnicastRemoteObject

    protected UnicastRemoteObject()

Method Detail

### exportObject

    public static Remote exportObject(Remote obj)
                               throws RemoteException

  Exports a remote object so it is available to receive incoming calls using a server port.

  Parameters:
    `obj` - the remote object to be exported.
  Returns:
    the remote object stub.
  Throws:
    `RemoteException` - if the export fails.

### unexportObject

    public static boolean unexportObject(Object obj,
                                         boolean force)
                                  throws NoSuchObjectException

  Removes a remote object from the RMI runtime.
  - If successful, the object no longer accepts incoming RMI calls.
  - If the force parameter is `true`, the object is removed even if there are pending calls to the remote object or if the remote object has calls in progress.
  - If the force parameter is `false`, the object is removed only if there are no pending or in progress calls to the object.

  Parameters:
    `obj` - the remote object to be removed.
    `force` - if `true`, removes the object even if there are pending or in-progress calls; if `false`, removes the object if there are no pending or in-progress calls.
  Returns:
    true if operation is successful.
  Throws:
    `NoSuchObjectException` - if the remote object is not exported.

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Returns a clone of the remote object that is distinct from the original.

  Overrides:
    `clone` in class `Object`
  Returns:
    the new remote object.
  Throws:
    `CloneNotSupportedException` - if the clone failed due to a RemoteException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD